vfont2bdf(1)

NAME
vfont2bdf - convert part or all of a BSD vfont file to an X11 BDF.

SYNOPSIS
vfont2bdf [--first=FIRST] [--last=LAST] [--256] [--fontname=NAME] [--defchar=INDEX] [--ascent=VALUE] [--descent=VALUE] [--codepage=CODEPAGE] [--iso10646] [INPUTFILE [OUTPUTFILE]]

DESCRIPTION
vfont2bdf saves some or all characters from a .PSF font to an X11-format BDF font file. The resulting file should then be tidied up in an editor such as xmbdfed(1) before being installed.

OPTIONS

--codepage=x
    Extracts only the characters in the given codepage (requires the source PSF file to have a Unicode directory). Any characters in the codepage not present in the source font are replaced by blanks. The codepage can be specified by number or name; see psfpages(1) for a list of acceptable codepage names.

--first=n
    Extracts characters starting at the specified character.

--last=n
    Extracts characters up to and including the specified character.

--256
    Equivalent to --first=0 --last=255.

--fontname=name
    Sets the XLFD name of the font being output.

--ascent=n
    Sets the ascent (pixels between the character baseline and the top of the character cell). If this is not entered the value from character 65 ('A') is used.

--descent=n
    Sets the descent (pixels between the character baseline and the bottom of the character cell). If this is not entered the value from character 65 ('A') is used.

--defchar=n
    Sets the number of the default character to use.

--iso10646
    If this option is present and the source file has a Unicode directory, the font will encode the ID of each character as its Unicode position. Otherwise the character's ID is equal to its position in the file.

If a codepage and a range of characters are both specified, the range is applied to the subset of characters extracted by the codepage.

BUGS
The BDF needs tidying up after generation, as mentioned above.

SEE ALSO
psf2bdf(1),xmbdfed(1),psfpages(1)

AUTHOR
John Elliott <seasip.webmaster@gmail.com>.